summaryrefslogtreecommitdiffstats
path: root/office/openoffice.org
diff options
context:
space:
mode:
Diffstat (limited to 'office/openoffice.org')
-rw-r--r--office/openoffice.org/README11
-rw-r--r--office/openoffice.org/doinst.sh16
-rw-r--r--office/openoffice.org/openoffice.org.SlackBuild173
-rw-r--r--office/openoffice.org/openoffice.org.info10
-rw-r--r--office/openoffice.org/slack-desc19
5 files changed, 229 insertions, 0 deletions
diff --git a/office/openoffice.org/README b/office/openoffice.org/README
new file mode 100644
index 0000000000..e3222d589d
--- /dev/null
+++ b/office/openoffice.org/README
@@ -0,0 +1,11 @@
+OpenOffice.org is a full-featured open-source office suite that is compatible
+with all other major office software.
+
+This script builds a Slackware package from the official binary (RPM's)
+distributed by openoffice.org. Everything needed by the application should
+be built statically into it, so there aren't any dependencies not satisfied
+by a normal installation. A java runtime environment (jre) is suggested by
+openoffice.org, but it is not required (note that jre is part of a standard
+installation of Slackware).
+
+Be sure to look at the script for some optional things you can do when building.
diff --git a/office/openoffice.org/doinst.sh b/office/openoffice.org/doinst.sh
new file mode 100644
index 0000000000..88ab9f58ff
--- /dev/null
+++ b/office/openoffice.org/doinst.sh
@@ -0,0 +1,16 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ for theme in gnome locolor hicolor ; do
+ if [ -e usr/share/icons/$theme/icon-theme.cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/$theme >/dev/null 2>&1
+ fi
+ done
+fi
+
diff --git a/office/openoffice.org/openoffice.org.SlackBuild b/office/openoffice.org/openoffice.org.SlackBuild
new file mode 100644
index 0000000000..02ad578102
--- /dev/null
+++ b/office/openoffice.org/openoffice.org.SlackBuild
@@ -0,0 +1,173 @@
+#!/bin/sh
+
+# Slackware build script for OpenOffice
+
+# Copyright 2006,2007,2008,2009,2010 Robby Workman, Northport, Alabama, ASA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Gerardo, email: gerardo.gr90@gmail.com
+# Thanks to Robby Workman who wrote the openoffice.org slackbuild for
+# the version 3.2.1, which i use as a basis for this slackbuild.
+
+
+PRGNAM=openoffice.org
+VERSION=${VERSION:-3.3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# These variables seem to change with (almost) every release...
+SRCVERSION=$VERSION
+SRCSHORT=$(echo $VERSION | cut -f1-2 -d.) #"3.3"
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo} # For consistency's sake, use this
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+
+OOLANG=${OOLANG:-es}
+PKG_LANG=${OOLANG//-/_} # Leave this alone
+
+# Until now all releases were without the JRE...
+WJRE=${WJRE:-yes}
+
+# If you want to disable java support by removing executable permissions
+# from OpenOffice's java loader (this will not affect other apps), set this
+# variable to "YES" Default is "NO"
+DISABLE_JAVA=${DISABLE_JAVA:-NO}
+
+# Change source package name
+if [ "$ARCH" = "x86_64" ]; then
+ SRCARCH="x86-64"
+ PKGARCH="$ARCH"
+elif [ "$ARCH" = "arm" ]; then
+ printf "\n$ARCH is unsupported for OOo...\n\n"
+ exit 1
+else
+ SRCARCH="x86"
+ PKGARCH="i586"
+fi
+
+# Specify if we are going to include de JRE pkg
+if [ $WJRE != no ]; then
+ TARJRE="-wJRE"
+else
+ TARJRE=""
+fi
+
+# Building the final name.
+TARNAME="OOo_${VERSION}_Linux_${SRCARCH}_install-rpm${TARJRE}_${OOLANG}.tar.gz"
+
+ls $TARNAME
+
+# Check if we have the tarball
+if [ ! -r $TARBALL ]; then
+ echo "$TARBALL not found"
+ exit 1
+fi
+
+# Ignore this - it's just to get the toplevel directory name of the
+# extracted tarball archive
+SOURCEDIR=$(tar tzf $CWD/$TARNAME 2>/dev/null | head -n 1 | tr -d \/)
+# If the above operation failed for some reason, unset SOURCEDIR so that
+# the "set -eu" below will cause us to bail out with an error
+[ -z $SOURCEDIR ] && unset SOURCEDIR
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$SOURCEDIR
+
+# Extract tarball
+tar xvf $CWD/$TARNAME -C $TMP
+
+# We'll remove this regardless of whether we're using the jre tarball...
+rm -rf $TMP/$SOURCEDIR/{JavaSetup.jar,installdata,setup}
+rm -rf $TMP/$SOURCEDIR/RPMS/{userland,jre-*-linux-*.rpm}
+
+cd $TMP/$SOURCEDIR/RPMS
+
+# We only need the freedesktop integration, so we move it to the current location
+mv desktop-integration/openoffice.org$SRCSHORT-freedesktop-menus-$SRCSHORT-*.noarch.rpm .
+
+# We don't want this, so we delete the *onlineupdate*.rpm
+rm -f *onlineupdate*.rpm
+
+# Extract the files from the *.rpm
+for FILE in *.rpm ; do rpm2cpio < $FILE | cpio -imdv ; done
+rm -rf desktop-integration *.rpm
+mv opt usr $PKG
+cd $PKG
+
+# Kill a broken symlink
+rm -f $PKG/usr/share/applications/openoffice.org3-startcenter.desktop
+
+# Create symlinks in /usr/bin to actual binaries
+# Cambiar los nombres de sbase,scalc, etc, por los de open office
+cd $PKG/usr/bin
+ for FILE in \
+ sbase scalc sdraw simpress smath soffice spadmin swriter unopkg ; do
+ rm -f $FILE
+ ln -sf ../../opt/openoffice.org3/program/$FILE $FILE ;
+ done
+cd -
+
+# Remove DejaVu and Liberation fonts - these are included in other packages
+rm -f opt/openoffice.org/basis3.2/share/fonts/truetype/[DL]*.ttf
+
+# Fix Exec commands in the desktop files
+# See http://bugzilla.xfce.org/show_bug.cgi?id=2430
+cd $PKG//opt/openoffice.org3/share/xdg/
+ for APP in base calc draw impress math writer; do
+ sed -i 's%Exec=openoffice.org3 -%Exec=s%' $APP.desktop ;
+ done
+cd -
+
+# Move docs to their expected locations
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd $PKG/opt/openoffice.org3
+ mv README* *LICENSE* readmes $PKG/usr/doc/$PRGNAM-$VERSION
+cd -
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Disable Java support if desired (see above)
+if [ "$DISABLE_JAVA" = "YES" ]; then
+ chmod -x $PKG/opt/$PRGNAM$SRCSHORT/ure/bin/javaldx
+fi
+
+# We create the install dir, and add to it the slack-desc and doinst.sh file
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Fix ownership and permissions and make the package
+chown -R root:root .
+find . -type d -exec chmod 755 {} \;
+chmod -R u+rw,go+r-w,a-s .
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-${VERSION}_${PKG_LANG}-$PKGARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/openoffice.org/openoffice.org.info b/office/openoffice.org/openoffice.org.info
new file mode 100644
index 0000000000..6959274d0d
--- /dev/null
+++ b/office/openoffice.org/openoffice.org.info
@@ -0,0 +1,10 @@
+PRGNAM="openoffice.org"
+VERSION="3.3.0"
+HOMEPAGE="http://openoffice.org"
+DOWNLOAD="http://download.services.openoffice.org/files/localized/es/3.3.0/OOo_3.3.0_Linux_x86_install-rpm-wJRE_es.tar.gz"
+MD5SUM="1b8ea6a2cb1f1cdf8bd79269dffc31fa"
+DOWNLOAD_x86_64="http://download.services.openoffice.org/files/localized/es/3.3.0/OOo_3.3.0_Linux_x86-64_install-rpm-wJRE_es.tar.gz"
+MD5SUM_x86_64="48d82a358ccb48267e110b88cfbd7fe6"
+MAINTAINER="Gerardo Gómez"
+EMAIL="gerardo.gr90@gmail.com"
+APPROVED="rworkman"
diff --git a/office/openoffice.org/slack-desc b/office/openoffice.org/slack-desc
new file mode 100644
index 0000000000..c2bb3eebb4
--- /dev/null
+++ b/office/openoffice.org/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+openoffice.org: OpenOffice.org (a full-featured open-source office suite)
+openoffice.org:
+openoffice.org: OpenOffice.org is a full-featured open-source office suite that is
+openoffice.org: compatible with all other major office software.
+openoffice.org:
+openoffice.org: This is a repackaging of the official OpenOffice.org binary RPM's
+openoffice.org: distributed by the upstream developers.
+openoffice.org:
+openoffice.org: Homepage: http://openoffice.org
+openoffice.org:
+openoffice.org: